import { IDropdown } from '../../Atoms/Dropdown/interfaces';
import { IInput } from '../../Atoms/Input/interfaces';
export interface IPhoneNumber extends Omit<IDropdown, 'value' | 'onError'> {
    value: string[];
    onError?: ({ code, msg }: {
        code: string;
        msg: string;
    }) => void;
    mask?: string;
    setValue: (value: string[]) => void;
    componentInputProps?: Partial<IInput>;
}
